package tagrepository

import "legalgo-BE-go/database"

func (acc *accessor) GetAllModel() ([]database.TagModel, error) {
	var tags []database.TagModel

	if err := acc.DB.Find(&tags).Error; err != nil {
		return nil, err
	}

	return tags, nil
}
